package com.sun.net.ssl;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.X509TrustManager;

final class X509TrustManagerJavaxWrapper implements X509TrustManager
{
    private com.sun.net.ssl.X509TrustManager theX509TrustManager;
    
    X509TrustManagerJavaxWrapper(com.sun.net.ssl.X509TrustManager theX509TrustManager) {
        this.theX509TrustManager = theX509TrustManager;
    }
    
    @Override
    public void checkClientTrusted(X509Certificate[] array, String s) throws CertificateException {
        if (!this.theX509TrustManager.isClientTrusted(array)) {
            throw new CertificateException("Untrusted Client Certificate Chain");
        }
        return;
    }
    
    @Override
    public void checkServerTrusted(X509Certificate[] array, String s) throws CertificateException {
        if (!this.theX509TrustManager.isServerTrusted(array)) {
            throw new CertificateException("Untrusted Server Certificate Chain");
        }
        return;
    }
    
    @Override
    public X509Certificate[] getAcceptedIssuers() {
        return this.theX509TrustManager.getAcceptedIssuers();
    }
}
